Core - Task # 45214

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes

Story # 54853 (Accepted): As a user | want to correctly create, modify, preview and publish IRRE & MM related workspace changes

Status: On Hold Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2013-02-06 Assigned To:

Updated: 2015-01-23 Due date:

TYPO3 Version: 4.7

PHP Version: 5.3

Complexity:

Sprint Focus:

Subject: Problems on publishing complex IRRE structure

Description

Imagine the following IRRE parent-child structure. The important thing is, that Price is created by different parents.

- Hotel
- Offer
- Price
- Flight
- Price

On publishing this structure, most likely the last Price element gets lost. The reason for that is simple and located in the command
map resolver, that is used to correctly publish the single elements from outer-most parent (root) to all dependent children (leafs). The
result of the resolver is a "cmdmap" array to be used in t3lib_TCEmain/DataHandler.

The Price object below Offer already defines the array elements for Price which gets completed by the child of Flight later on. The
resulting "cmdmap" looks like this:

cmd[Hotel][1] = ...
cmd[Price][1] = ...
cmd[Price]2] = ...
cmd[Flight][1] = ...

However, all elements of the Price object must be process after the Flight object, which is a relative parent in this case.

Related issues:

related to Core - Task # 29278: Lost relations on copying IRRE children in wo... Rejected 2011-08-26
related to Grid Elements - Bug # 46749: Drag'n'drop child elements inside Gii... Rejected 2013-03-28
related to Grid Elements - Bug # 46747: Translating Childelements in Grid-Con... Rejected 2013-03-28
History

#1 - 2013-02-06 18:57 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch 4.5 has been pushed to the review server.
It is available at https://review.typo3.org/18068
https://review.typo3.org/18068

#2 - 2013-02-06 19:05 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18069

#3 - 2013-02-06 19:05 - Gerrit Code Review

Patch set 2 for branch 4.5 has been pushed to the review server.
It is available at https://review.typo3.0rg/18068

#4 - 2013-02-06 19:12 - Gerrit Code Review

Patch set 3 for branch 4.5 has been pushed to the review server.
It is available at https://review.typo3.org/18068

#5 - 2013-02-06 19:13 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18069

#6 - 2013-05-27 20:49 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21094

#7 - 2013-05-27 21:31 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.

It is available at https://review.typo3.org/21103

#8 - 2013-12-10 00:58 - Michael Stucki

- Category changed from Bugs to Workspaces

#9 - 2013-12-10 01:02 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces

#10 - 2014-01-08 22:37 - Oliver Hader
- Parent task set to #54853

- Is Regression set to No

#11 - 2014-01-08 22:38 - Oliver Hader
- Assigned To deleted (Oliver Hader)

#12 - 2014-01-08 22:39 - Oliver Hader

- Status changed from Under Review to Needs Feedback

2015-08-04

2/3


https://review.typo3.org/18069
https://review.typo3.org/18068
https://review.typo3.org/18068
https://review.typo3.org/18069
https://review.typo3.org/21094
https://review.typo3.org/21103

#13 - 2014-02-18 00:44 - Oliver Hader
- Status changed from Needs Feedback to On Hold

#14 - 2015-01-23 11:33 - Mathias Schreiber
- Target version changed from 4.5.23 to 7.5
